#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 28. Icons

- Prev

  adwaita-icon-theme-47.0

- Next

  gnome-icon-theme-3.12.0

- Up
- Home

# breeze-icons-6.11.0

## Introduction to Breeze Icons

The Breeze Icons package contains the default icons for KDE Plasma applications, but it can be used for other window environments.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/frameworks/6.11/breeze-icons-6.11.0.tar.xz

- Download MD5 sum: 8989043ad5c6bae49cb2abb3e88490aa

- Download size: 2.1 MB

- Estimated disk space required: 258 MB

- Estimated build time: 0.5 SBU

### Breeze Icons Dependencies

#### Required

extra-cmake-modules-6.11.0 and Qt-6.8.2

#### Optional

KDE Frameworks-6.11.0, libxml2-2.13.6, and lxml-5.3.1

## Installation of Breeze Icons

Install Breeze Icons by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D BUILD_TESTING=OFF         \
          -W no-dev ..

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-D BUILD_TESTING=OFF`: This parameter disables building the testing framework, which requires some modules from KDE Frameworks-6.11.0.

## Contents

Installed Programs: None
Installed Library: None
Installed Directory: /usr/share/icons/breeze{,-dark}

- Prev

  adwaita-icon-theme-47.0

- Next

  gnome-icon-theme-3.12.0

- Up
- Home